<form>

  <div class="form-row my-2 text-left">
    <div class="form-group col-md-3">
      <button mat-raised-button color="primary" class="custom"
      (click)="condicionDialog( condicion, tipo )">Nuevo</button>
    </div>
  </div>
  <mat-card class="my-3" style="margin-bottom: 5px;">
    <mat-card-header>
      <mat-card-title>Listado de condiciones</mat-card-title>
    </mat-card-header>
    <mat-card-content layout-align="center center">
      <div *ngIf="condiciones?.length == 0" class="alert alert-info">
        No hay registros en la base de datos!
      </div>
      <table mat-table [dataSource]="dataSource" style="width: 100%;" class="content-table">
        <ng-container *ngFor="let column of columns" [matColumnDef]="column.columnDef">
          <th mat-header-cell *matHeaderCellDef> {{column.label}} </th>
          <td mat-cell *matCellDef="let element">{{ element[column.columnDef] }}
              <button mat-icon-button color="primary" *ngIf="column.columnDef == 'editar'" matTooltip="Editar Condición"
                (click)="edicionDialog( element , tipo )">
                <mat-icon>editar</mat-icon>
             </button>
             <button mat-icon-button color="primary" *ngIf="column.columnDef == 'param'" matTooltip="Editar Parámetros"
                 (click)="paramDialog( element )">
                 <mat-icon>settings_application</mat-icon>
             </button>
           </td>
        </ng-container>
        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table>
    </mat-card-content>
  </mat-card>

</form>
